Summary:	Plasma5-application for interactive graphing and analysis of scientific data
Name:		labplot
Version:	2.3.0
Release:	%mkrel 1
License:	GPLv2+
Group:		Sciences/Other
URL:		https://edu.kde.org/labplot/
Source0:	http://download.kde.org/stable/%{name}/%{version}/%{name}-%{version}-kf5.tar.xz
BuildRequires:	pkgconfig(gsl)
BuildRequires:	gettext-devel

BuildRequires:	kf5-macros
BuildRequires:	cmake(KF5Archive)
BuildRequires:	cmake(KF5IconThemes)
BuildRequires:	cmake(KF5I18n)
BuildRequires:	cmake(KF5KIO)
BuildRequires:	cmake(KF5WidgetsAddons)
BuildRequires:	cmake(KF5XmlGui)
BuildRequires:	cmake(KF5KDELibs4Support)

BuildRequires:	pkgconfig(Qt5Concurrent)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Svg)
BuildRequires:	pkgconfig(Qt5Widgets)

%description
LabPlot provides an easy way to create, manage and edit plots.
It allows you to produce plots based on data from a spreadsheet or on
data imported from external files.
Plots can be exported to several pixmap and vector graphic formats.

%prep
%setup -q -n %{name}-%{version}-kf5
%autopatch -p1

# fix desktop file
sed -i 's/ -caption %c %i %f//' src/labplot2.desktop

%build
%cmake_kf5
%make_build

%install
%make_install -C build

%find_lang labplot2 --with-html

%files -f labplot2.lang
%doc AUTHORS ChangeLog README
%{_kf5_bindir}/labplot2
%{_kf5_appdatadir}/org.kde.labplot.appdata.xml
%{_kf5_iconsdir}/*
%{_kf5_datadir}/labplot2/
%{_kf5_applicationsdir}/labplot2.desktop
%{_kf5_datadir}/kxmlgui5/labplot2/
%{_kf5_datadir}/mime/packages/labplot2.xml


%changelog
* Tue Dec 27 2016 daviddavid <daviddavid> 2.3.0-1.mga6
+ Revision: 1078297
- new version: 2.3.0

* Wed Jul 20 2016 neoclust <neoclust> 2.2.0-2.mga6
+ Revision: 1042903
- Rebuild for armv5

* Fri May 20 2016 daviddavid <daviddavid> 2.2.0-1.mga6
+ Revision: 1017098
- new version: 2.2.0
- port to Qt5/kf5
- remove merged upstream gsl2 patch

* Tue Jan 26 2016 luigiwalser <luigiwalser> 2.1.0-2.mga6
+ Revision: 927885
- add patch to fix build with gsl version 2
- rebuild for gsl

* Sun Jan 10 2016 filipesaraiva <filipesaraiva> 2.1.0-1.mga6
+ Revision: 921173
- Add new files to be packed;
- Add new requirements for build;
- Update to version 2.1.0;

* Wed Oct 15 2014 umeabot <umeabot> 2.0.1-3.mga5
+ Revision: 750224
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.0.1-2.mga5
+ Revision: 681261
- Mageia 5 Mass Rebuild

* Sat Feb 08 2014 filipesaraiva <filipesaraiva> 2.0.1-1.mga5
+ Revision: 586778
- Added kdelibs4-devel and kdebase4-devel build requires;
- Added kdebase4-runtime requires.
- imported package labplot

